%define pkg_name        prefork
%define pkg_version     1.01
%define rpm_pkg_version 1.01
%define rpm_pkg_release 1.n0i.3

Summary:       Optimize module loading across forking and non-forking scenarios
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AD/ADAMK/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test::More) >= 0.47}
%{!?_without_test:BuildRequires: perl(Scalar::Util) >= 1.10}
%{!?_without_test:BuildRequires: perl(File::Spec) >= 0.82}


%description
The prefork pragma is intended to allow module writers to optimise module
loading for both scenarios with as little additional code as possible. The
prefork.pm is intended to serve as a central and optional marshalling point
for state detection (are we running in procedural or pre-forking mode) and
to act as a relatively light-weight module loader.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README


%changelog
* Thu May 31 2007 Marius Feraru <altblue@n0i.net> - 1.01-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 1.01

* Tue Sep 13 2005 Marius Feraru <altblue@n0i.net> 1.00-1.n0i.2
- version 1.00

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 0.04-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
